Name: sobexsrv
Version: 1.0.0
Release: alt0.M24.1

Packager: Alexey Borovskoy <alb@altlinux.ru>

Summary: The scripting OBEX server for Bluez stack
License: GPL
Group: Networking/Other
URL: http://www.mulliner.org/bluetooth/sobexsrv.php

Source0: %name-%{version}pre4.tar.gz
Source1: %name.init
Source2: %name.sysconfig

Patch1: %name-%{version}pre4-alt-makefile.patch
Patch2: %name-%{version}pre4-alt-include.patch

BuildPreReq: libopenobex-devel libbluez-devel
Requires: bluez-utils

%description
This is a OBEX server implementation based on the openobex library focused towards
Bluetooth as the transport layer. The server itself only supports the minimal
needed OBEX commands like connect, disconnect, put, get and setpath. The
actual services need to be implemented outside of the server through e.g.
a script written in bash, perl, python or C. It is believed that through this
it is easy to implement nice and good behaving services.

%prep
%setup -n %name-%{version}pre4
%patch1 -p1
%patch2 -p1

%build
%make

%install
%make_install DESTDIR=%buildroot install

%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_localstatedir/%name/{inbox/mime,tmp}
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_sysconfdir/sysconfig

%__install -m755 %SOURCE1 %buildroot%_initdir/%name
%__install -m644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name

%__cp {AU*,CH*,CO*,RE*,SE*,TO*,VE*} %buildroot/%_docdir/%name-%version/

%pre
%_sbindir/groupadd -r -f %name >/dev/null 2>&1 ||:
%_sbindir/useradd -r -n -g %name -d %_localstatedir/%name -s /dev/null %name >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%_initdir/*
%config(noreplace) %_sysconfdir/sysconfig/%name
%attr(4710,root,%name) %_sbindir/%name
%_man8dir/*
%_datadir/%name
%attr(0775,root,%name) %_localstatedir/%name
%ghost %attr(0700,%name,%name) %_localstatedir/%name/tmp
%_docdir/%name-%version

%changelog
* Thu Dec 01 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0.0-alt0.M24.1
- Initial build for ALT Linux.
- Version: 1.0.0pre4.
